import { Vue, Component, Action, State, namespace } from 'nuxt-property-decorator';
import { AppointmentLog } from '~/assets/ts/models/appointment.model';

const roleStorage = namespace('localStorage');

@Component
export default  class Reviews extends Vue{

    today = new Date();

    @roleStorage.Getter currentRole!:string;

    @State('myAppointmentReviewLogList') myAppointmentReviewLogList!: AppointmentLog[];

    @Action storeMyAppointmentReviewLog!: any;

    appointmentLogList: AppointmentLog[] = [];

    mounted() {
        this.storeMyAppointmentReviewLog();
    }

}
